<html>
    <head>
        <title>Website title</title>
    </head>
    <body>
        <form name="myform" action="#" method="POST" onsubmit="validate_form()">
            First Name:<input type="text" name="first_name"><br>
            Last Name:<input type="text" name="last_name"><br>
            Email:<input type="name" name="email"><br>
            Phone Number:<input type="tel" name="number"><br>
            Password:<input type="password" name="password"><br>
            <input type="submit" name="submit_button" value="submit garnus">
            <input type="reset" name="reset" value="Reset garnus">
        </form>
    </body>
    <script>
            
        /* Javascript code is written inside <script> tag which can be either inside head or after body tag is closed */
        function validate_form()
        {
            /* First square bracket ko form name aani second square bracket ko input name */
            /* Input box ma user le haleko value lai variable ma assign matra gareko ho yeta */

            let first_name = document.forms["myform"]["first_name"].value;
            let last_name = document.forms["myform"]["last_name"].value;
            let email = document.forms["myform"]["email"].value;
            let password = document.forms["myform"]["password"].value;
            let correct_password = "mypassword123";

            /* Check if the variables are empty */
            /* .length le variable ko length dinxa. So empty field ma value "" aauxa whose length is 0 */
            if(first_name.length > 0 && last_name.length > 0 && email.length > 0 && password.length > 0)
            {
                /* Check if password matches */
                /* Input field sabai halesi matra password check garne ho so yo if lai vitra haleko */
                if(password == correct_password)
                {
                    alert("Validation Successful");
                }
                else
                {
                    alert("password error");
                }
            }
            else
            {
                alert("Please input all the fields");
            }
        }
    </script>
</html>